﻿using Infragistics.Win;
using Infragistics.Win.Misc;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinScrollBar;

namespace TilePanelTest
{
    public partial class Form1 : Form, IUIElementCreationFilter 
    {
        int clientAreaWidth;
        public Form1()
        {
            InitializeComponent();            
        }
       
        private void Form1_Load(object sender, EventArgs e)
        {
            ultraTilePanel1.CreationFilter = this;
            ultraLabel2.Text = "The UltraTilePanel's width =" + " " + ultraTilePanel1.Width.ToString();
            var clientSize = ultraTilePanel1.ClientSize;
        }

        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is UltraTilePanelControlUIElement)
            {
                Rectangle rect = parent.Rect;
               
                ScrollBarUIElement scrollbarUIElement = parent.GetDescendant(typeof(ScrollBarUIElement)) as ScrollBarUIElement;
                Rectangle scrollRect = scrollbarUIElement.Rect;

                clientAreaWidth = rect.Width - scrollRect.Width;
                scrollbarUIElement.Rect = scrollRect;
                parent.Rect = rect;

                ultraLabel1.Text = "The ClientSize is" + " " + clientAreaWidth.ToString();  
            }

        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }

  
}
